/******************************************************************************
 *                                                                            *
 * File:   exectree.h         Version  1.01            Date: 1996-08-03       *
 *                                                                            *
 * Copyright (C) 1993-1996 by kostis@acm.org (Kosta Kostis)                   *
 *                                                                            *
 ******************************************************************************
 *                                                                            *
 * History:                                                                   *
 *     1996-08-03: KK V1.01                                                   *
 *        - see exectree.c                                                    *
 *                                                                            *
 *****************************************************************************/

/******************************************************************************

	Program Name

 *****************************************************************************/

#define PRGNAM          "ExecTree"
#define	VERSION		"V1.01 (1996-08-03)"

/******************************************************************************

	Program Constants

 *****************************************************************************/

#define MAX_PATHNAME    255
#define MAX_CMDLINE     255

/******************************************************************************

	Program Return Codes

 *****************************************************************************/

#define ERR_NONE        0
#define ERR_SYNTAX      1
#define ERR_CURDIR      2
#define ERR_CHDIR       3
#define ERR_BREAK       4

/******************************************************************************

	Program Messages

 *****************************************************************************/

#define MSG_COPYRIGHT   \
"Copyright (C) 1993-1996 by kostis@acm.org (Kosta Kostis)\n"
#define MSG_VERSION     "%s %s\n"
#define MSG_PROCESS     "%s: processing directory %s\n"

/******************************************************************************

	Program Error Messages

 *****************************************************************************/

#define ERR_MSG_SYNTAX  "Syntax: %s start-directory program\n"
#define ERR_MSG_CURDIR  "%s: unable to determine current working directory\n"
#define ERR_MSG_CHDIR   "%s: unable to change current working directory\n"
